aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/gcc-x86_64-has-stack-protector.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/gcc-x86_64-has-stack-protector.sh')
-rw-r--r--scripts/gcc-x86_64-has-stack-protector.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/gcc-x86_64-has-stack-protector.sh b/scripts/gcc-x86_64-has-stack-protector.sh
new file mode 100644
index 000000000000..325c0a1b03b6
--- /dev/null
+++ b/scripts/gcc-x86_64-has-stack-protector.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+echo "int foo(void) { char X[200]; return 3; }" | $1 -S -xc -c -O0 -mcmodel=kernel -fstack-protector - -o - 2> /dev/null | grep -q "%gs"
+if [ "$?" -eq "0" ] ; then
+ echo $2
+fi